.inner-modal-overlay {
  opacity: 0;
  visibility: hidden;

  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--black-opacity-05);
  z-index: var(--z-index-1000);
  transition: 0.3s all;
  backdrop-filter: blur(10px);
}

.inner-modal {
  max-height: 100%;
  overflow-y: auto;
  opacity: 0;
  visibility: hidden;

  width: 100%;
  max-width: 1160px;
  min-height: 540px;

  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: var(--z-index-1001);

  box-shadow: 0 3px 10px -0.5px var(--black-opacity-03);

  border-radius: var(--border-radius-2);
  background-color: var(--extra-white);
  transition: 0.3s all;

  padding: var(--space-60);
}

.inner-modal.active,
.inner-modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.inner-modal-content {
  background-color: var(--extra-white) !important;
  border: none !important;
  border-radius: unset !important;
  overflow-y: auto;
  overflow-x: hidden;
}

.inner-modal-header {
  border-bottom: none;
  padding: 0;
}

.inner-modal-header .button {
  width: 40px;
  height: 40px;
}

.inner-modal-header .button .close-icon {
  width: 100%;
  height: 100%;
  stroke: var(--extra-black);
}

.inner-modal-body {
  border-bottom: none;
  padding: 0;
}

.inner-modal-body .input {
  width: 100%;
  font-weight: 200;
}

.inner-modal-buttons-container {
  width: 100%;
  border-top: none;
  padding: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--space-60);
  margin-top: var(--space-60);
}

.inner-modal .btn-close {
  scale: 2;
  color: var(--dark-blue);
}

.inner-modal-header {
  display: flex;
  justify-content: space-between;
}

.inner-modal .input.underline,
.inner-modal .custom-select {
  border-bottom: 1px solid var(--dark-blue);
}

.inner-modal .input,
.inner-modal .custom-select .value,
.inner-modal .custom-select .arrow {
  color: var(--dark-blue);
  font-weight: 200;
}

.inner-modal .input::placeholder,
.inner-modal .custom-select .select-placeholder {
  text-transform: capitalize;
  color: var(--placeholder-grey);
  font-weight: 200;
}



.inner-modal .custom-select-trigger {
  font-size: var(--font-16) !important;
}


@media (max-width: 1440px) {
  .inner-modal {
    width: 85%;
  }

  .inner-modal-body .custom-select .select-placeholder,
  .inner-modal .custom-select .value,
  .inner-modal-body .input,
  .inner-modal-body .text,
  .inner-modal-body .custom-select-trigger {
    font-size: var(--font-14) !important;
  }
}

@media (max-width: 1023px) {
  .inner-modal {
    width: calc(100% - var(--wrapper-padding) * 2);
    min-height: 366px;
    padding: var(--space-40) var(--space-24);
  }

  .inner-modal-title {
    font-size: var(--space-28);
  }

  .inner-modal-buttons-container {
    margin-top: var(--space-56);
  }
}

@media (max-width: 767px) {

  html.no-scroll,
  body.no-scroll {
    overflow: hidden;
    overscroll-behavior: none;
  }

  .inner-modal-overlay.active {
    overscroll-behavior: none;
    touch-action: none;
  }

  .inner-modal.active {
    overscroll-behavior: contain;
    -webkit-overflow-scrolling: touch;
  }

  .inner-modal {
    width: 100%;
    max-height: 100%;
    height: auto;
    position: fixed;
    transform: translate(-50%, -50%);
  }

  .inner-modal-title {
    font-size: var(--space-22);
  }

  .inner-modal-buttons-container {
    margin-top: var(--space-32) !important;
    gap: var(--space-32);
    flex-direction: column-reverse !important;
  }
 

}

.inner-modal .input {
  overflow: hidden !important;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.inner-modal .modal-input-wrapper {
  width: 100%;

  position: relative;
  z-index: var(--z-index-1);
}


.inner-modal .block {
  opacity: 0;
  min-width: 98%;
  width: 98%;


  font-weight: 200;
  position: absolute;
  left: 1%;
  top: calc(100% + 18px);

  border-radius: var(--border-radius-2);

  color: var(--grey);
  background: var(--extra-white);
  word-wrap: break-word;

  box-shadow: var(--modal-input-block-shadow);
}

.inner-modal .block::after,
.inner-modal .block::before {
  opacity: 0;
  border-radius: var(--border-radius-2);
  content: "";
  position: absolute;
  background: var(--extra-white);
  left: 20px;
  top: -10px;
  width: 20px;
  height: 20px;
  box-shadow: var(--modal-input-block-shadow);
  z-index: var(--z-index-minus-1);
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);

}

.inner-modal .block::before {
  z-index: var(--z-index-1);
  box-shadow: none;
}

.inner-modal .block.active {
  padding: var(--space-16);
}

.inner-modal .block.active,
.inner-modal .block.active::before,
.inner-modal .block.active::after {
  opacity: 1;
}

.inner-modal .modal-input-wrapper.active {
  z-index: var(--z-index-100);
}

.inner-modal-body .contact-us-container .inputs-container {
  margin-top: var(--space-60);
}

.inner-modal-body .contact-us-container .inputs-container .top-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: var(--space-60);
}

.inner-modal-body .contact-us-container .inputs-container .bottom-row {
  margin-top: var(--space-60);
}

.inner-modal-body .contact-us-container .pretext {


  margin-top: var(--space-60);
}

.inner-modal-body .contact-us-container textarea {
  box-sizing: border-box;
  height: 27px;
  resize: none;
}


.inner-modal-header.modal-success-header {
  justify-content: flex-end;
}

.inner-modal-body .modal-success-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  margin-top: var(--space-32);
}

.inner-modal-body .modal-success-container .text {
  max-width: 512px;

  color: var(--dark-blue);
  text-align: center;
  font-weight: 200;

  margin-top: var(--space-32);
}

@media (max-width: 1023px) {

  .inner-modal-body .contact-us-container .inputs-container,
  .inner-modal-body .contact-us-container .text {
    margin-top: var(--space-56);
  }

  .inner-modal-body .contact-us-container .inputs-container .bottom-row {
    margin-top: var(--space-40);
  }

  .inner-modal-body .modal-success-container .text {
    margin-top: var(--space-24);
  }
}

@media (max-width: 767px) {

  .inner-modal {
    padding: var(--space-36) var(--space-16);
}

  .inner-modal-body .contact-us-container .inputs-container .top-row {
    display: flex;
    flex-direction: column;
    gap: var(--space-32);
  }

  .inner-modal-body .contact-us-container .inputs-container .bottom-row,
  .inner-modal-body .contact-us-container .text {
    margin-top: var(--space-32);
  }

  .inner-modal-body .modal-success-container .text,
  .inner-modal-body .modal-success-container .inner-modal-title {
    text-align: center;
  }
  .inner-modal-buttons-container .button.stroke {
    width: 100%;
  }
}
